{% extends "base.html" %}

{% block title %} {{ todo_list_detail.name }} {% endblock title %}

{% block content %}
  <div>
    <h1>{{ todo_list_detail.name }}</h1>
    <p>
      <a href="{% url 'todo_list_update' todo_list_detail.id %}">Edit this list</a>
    </p>
    <p>
      <a href="{% url 'todo_list_delete' todo_list_detail.id %}">Delete this list</a>
    </p>
    <table>
      <thead>
        <tr>
          <th>Task</th>
          <th>Due date</th>
          <th>Is completed</th>
        </tr>
      </thead>
      <tbody>
        {% for todoitem in todo_list_detail.items.all %}
          <tr>
            <td>
              <a href="{% url 'todo_item_update' todoitem.id %}">{{ todoitem.task }}</a>
            </td>
            <td>{{ todoitem.due_date|date:"F j, Y, g:i A" }}</td>
            <td>
              {% if todoitem.is_completed %}
                <span style="color: green;">&#10004;</span> <!-- Green check mark -->
              {% else %}
                <span style="color: red;">&#10008;</span> <!-- Red X -->
              {% endif %}
            </td>
          </tr>
        {% endfor %}
      </tbody>
    </table>
  </div>
{% endblock content %}
